PHP ��U
前一頁 |  | 下一頁

# HttpRequest::getRequestMessage

(no version information, might be only in CVS)

HttpRequest::getRequestMessage -- Get request message

## Description

publicHttpMessage HttpRequest::getRequestMessage ( void )

Get sent HTTP message.

If redirects were allowed and several responses were received, the data references the last received response. Use HttpMessage::getParentMessage() to access the data of previously sent requests within this request cycle.

> 注: Note that the internal request message is immutable, that means that the request message received through HttpRequest::getRequestMessage() will always look the same for the same request, regardless of any changes you may have made to the returned object.

## Return Values

Returns an HttpMessage object representing the sent request.

## Errors/Exceptions

Throws HttpMalformedHeadersException, HttpEncodingException.

前一頁 | 內容 | 下一頁
HttpRequest::getRawResponseMessage | 上一層 | HttpRequest::getResponseBody